/*navbar*/

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    top: 0;
    position: fixed;
    z-index: 10;
    width: 100%;

    background-color: transparent;
    padding: 0.5% 0;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

header.scrolled{
    background-color: #1F3C28;
}

header.scrolled .nava,header.scrolled .logotext{
    color: #F1FAEE !important;
}

.logo {
    max-height: 2.5rem;
    margin: 2px;
}

.logotext{
    text-decoration: none;
    color: #1F3C28;
    display: flex;
    align-items: center;
}

.logotext h2{
    margin: 10px;
    font-family: "Baskerville old face", serif;
    font-size: 22px;
}

.nav-list {
    list-style-type: none;
    display: flex;
    gap: 1rem;
    margin-right: 10px;
    padding: 0;
}

.nav-list li a {
    font-weight: bold;
    text-decoration: none;
    font-size: 22px;
    margin: 0 5px;
    font-family: "Baskerville old face", serif;
}

.nava{
    color: #1F3C28;
}

.abrir-menu,
.cerrar-menu {
    display: none;
}

@media only screen and (max-width: 600px){

    /*navbar*/
    
    .statico{
        overflow: hidden;
    }
    
    .abrir-menu,
    .cerrar-menu {
            display: block;
            border: 0;
            background-color: transparent;
            cursor: pointer;
    }
    
    .abrir-menu{
        background-color: #0a0e20;
        border-radius: 5px;
        width: 40px;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    .nav {
        z-index: 1;
        opacity: 0;
        visibility: hidden;
        display: flex;
        flex-direction: column;
        align-items: end;
        gap: 1rem;
        position: absolute;
        padding: 2rem;
        top: 0;
        right: 0;
        bottom: 0;
        background-color: #0a0e20;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .5);
    }
    
    .nav.visible {
        opacity: 1;
        visibility: visible;
    }
        
    .nav-list {
        flex-direction: column;
        align-items: end;
    }
    
    .nav-list li a {
        color: #ecececec;
    }
    
    .cerrar-menu,.nav-list{
        position: sticky;
    }
    
    .cerrar-menu{
        top:32px;
    }
    
    .nav-list{
        top: 78px;
    }
}

@media only screen and (max-width: 600px){

    /*navbar*/

    .logotext h2{
        color: white;
    }
    
    .statico{
        overflow: hidden;
    }
    
    .abrir-menu,
    .cerrar-menu {
            display: block;
            border: 0;
            background-color: transparent;
            cursor: pointer;
    }
    
    .abrir-menu{
        background-color: #172c1e;
        border-radius: 5px;
        width: 40px;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
    .nav {
        z-index: 1;
        opacity: 0;
        visibility: hidden;
        display: flex;
        flex-direction: column;
        align-items: end;
        gap: 1rem;
        position: absolute;
        padding: 2rem;
        top: 0;
        right: 0;
        bottom: 0;
        background-color: #1F3C28;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .5);
    }
    
    .nav.visible {
        opacity: 1;
        visibility: visible;
        height: 100vh;
    }
        
    .nav-list {
        flex-direction: column;
        align-items: end;
    }
    
    .nav-list li a {
        color: #ecececec;
    }
    
    .cerrar-menu,.nav-list{
        position: sticky;
    }
    
    .cerrar-menu{
        top:32px;
    }
    
    .nav-list{
        top: 78px;
    }
}